## command-edge command-edge |

## Synopsis

    const Boolean       command_edge_equals                 (const Object edge_1,
                                                             const Object edge_2);
    void                command_edge_free                   (const Command_Edge edge);
    Command_Edge        command_edge_create                 (const Command_Vertex next_vertex,
                                                             const Command_Edge_Data edge_data);
    void                command_edge_set_edge_data          (const Command_Edge edge,
                                                             const Command_Edge_Data edge_data);
    const Command_Edge_Data  command_edge_get_edge_data     (const Command_Edge edge);
    const Command_Vertex  command_edge_get_next_vertex      (const Command_Edge edge);
    void                command_edge_dump_text              (const Command_Edge edge,
                                                             FILE *stream);
    void                command_edge_dump_binary            (const Command_Edge edge,
                                                             FILE *stream);

## Description

## Details

### command_edge_equals ()

    const Boolean       command_edge_equals                 (const Object edge_1,
                                                             const Object edge_2);

`edge_1` : |
`edge_2` : |
Returns : |

### command_edge_free ()

    void                command_edge_free                   (const Command_Edge edge);

`edge` : |

### command_edge_create ()

    Command_Edge        command_edge_create                 (const Command_Vertex next_vertex,
                                                             const Command_Edge_Data edge_data);

`next_vertex` : |
`edge_data` : |
Returns : |

### command_edge_set_edge_data ()

    void                command_edge_set_edge_data          (const Command_Edge edge,
                                                             const Command_Edge_Data edge_data);

`edge` : |
`edge_data` : |

### command_edge_get_edge_data ()

    const Command_Edge_Data  command_edge_get_edge_data     (const Command_Edge edge);

`edge` : |
Returns : |

### command_edge_get_next_vertex ()

    const Command_Vertex  command_edge_get_next_vertex      (const Command_Edge edge);

`edge` : |
Returns : |

### command_edge_dump_text ()

    void                command_edge_dump_text              (const Command_Edge edge,
                                                             FILE *stream);

`edge` : |
`stream` : |

### command_edge_dump_binary ()

    void                command_edge_dump_binary            (const Command_Edge edge,
                                                             FILE *stream);

`edge` : |
`stream` : |